Name: cpl
Version: 4.1.0
Release: 2%{?dist}
Summary: ESO library for automated astronomical data-reduction tasks

Group: Development/Libraries
License: GPLv2+
URL: http://www.eso.org/observing/cpl
Source0: ftp://ftp.hq.eso.org/pub/cpl/%{name}-%{version}.tar.gz
Patch0: cpl-cfitsiodyn.patch
Patch1: cpl-multilib.patch
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: cfitsio-devel

%description
The Common Pipeline Library (CPL) comprises a set of ISO-C libraries 
that provide a comprehensive, efficient and robust software toolkit. 
It forms a basis for the creation of automated astronomical data-reduction 
tasks (known as "pipelines") for ESO (European Southern Observatory) 
instruments.  The CPL was developed to standardise the way 
VLT (Very Large Telescope) instrument pipelines are built, 
to shorten their development cycle and to ease their maintenance. 

%package devel
Summary: Libraries, includes, etc. used to develop an application with %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: cfitsio-devel
%description devel
This are the header files and libraries needed to develop a %{name}
application

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --disable-static
%{__make} %{?_smp_mflags}

%install
%{__rm} -fr %{buildroot}
%{__make} DESTDIR=%{buildroot} install
%{__mkdir_p} %{buildroot}%{_libdir}/cplrecipes
%{__install} -m 644 libcext/cext/cxtypes-32.h %{buildroot}%{_includedir} || :
%{__install} -m 644 libcext/cext/cxtypes-64.h %{buildroot}%{_includedir} || :

%clean
%{__rm} -fr %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS
%{_libdir}/*so.*
%{_libdir}/cplrecipes

%files devel
%defattr(-,root,root,-)
%doc README
%{_libdir}/*.so
%{_includedir}/*
%exclude %{_libdir}/*.la

%changelog
* Sun Apr 06 2008 Sergio Pascual <sergiopr at fedoraproject.org> 4.1.0-2
- New upstream source

* Sat Feb 09 2008 Sergio Pascual <sergiopr at fedoraproject.org> 4.0.1-2
- Updated upstream sources.
- Fixing multilib bug (bz#340941)

* Tue Oct 09 2007 Sergio Pascual <sergiopr at fedoraproject.org> 3.1-2
- Updated qfits patch to build in 64 bits systems

* Tue Sep 25 2007 Sergio Pascual <sergiopr at fedoraproject.org> 3.1-1
- Minor changes

* Thu Sep 13 2007 Sergio Pascual <sergiopr at fedoraproject.org> 3.1-0.3
- Updated license tag

* Thu May 03 2007 Sergio Pascual <sergiopr at fedoraproject.org> 3.1-0.2
- Added dir for recipes.

* Thu Apr 26 2007 Sergio Pascual <sergiopr at fedoraproject.org> 3.1-0.1
- Initial spec file.
